#include "stdafx.h"
#include "../SearchBase.h"
#include "WavSearch.h"

CWavSearch::CWavSearch()
{
	InitHed("RIFF****WAVE", 12);
}

void CWavSearch::Mount(CArcFile* pclArc)
{
	SFileInfo infFile;

	// 開始アドレス取得
	infFile.start = pclArc->GetArcPointer();

	// ファイルサイズ取得
	pclArc->Seek(4, FILE_CURRENT);
	pclArc->Read(&infFile.sizeOrg, 4);
	infFile.sizeOrg += 8;
	infFile.sizeCmp = infFile.sizeOrg;

	// 終了アドレス取得
	infFile.end = infFile.start + infFile.sizeOrg;

	// WAVファイルの終端まで進める
	pclArc->Seek(infFile.end, FILE_BEGIN);
	pclArc->GetProg()->UpdatePercent(infFile.sizeOrg);

	pclArc->AddFileInfo(infFile, GetCtFile(), _T(".wav"));
}